
Redmine - Feature #12811

ASCII-8BIT to UTF-8 problems -update net-ldap with net-ldap-1 -v0.4.0

2013-01-11 14:11 - Terence Mill

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: LDAP Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There are net-ldap charset bugs which hit when using the library far redmnine usage, e.g in redmine_ldap_sync plugin

The bug is solved in net-ldap-1 -v 0.4.0

Please upgrade and testbed.

Related issues:

Related to Redmine - Feature #17618: Upgrade net-ldap version to 0.12.0 Closed

Related to Redmine - Defect #21453: LDAP account creation fails when first na... Closed

History

#1 - 2013-01-11 14:15 - Miodrag Milic

+1.

You also cant add it to the Gemfile.local so u need to change it after each update.

#2 - 2013-01-11 14:28 - Ricardo S

+1

#3 - 2013-01-11 15:44 - Etienne Massip

net-ldap-1 is actually not the same gem but a gem specifically bundled for this fix ; the problem has been fixed in net-ldap master but is maybe not to

be released soon because project has become inactive since then.

#4 - 2013-01-13 00:06 - Jean-Philippe Lang

Sad to see that there's no stable gem for using LDAP. I would prefer to include the patch in Redmine rather than switching to this gem. Does this

single fix below solve the encoding problems?

https://github.com/ruby-ldap/ruby-net-ldap/pull/44/files

#5 - 2013-01-13 12:59 - Terence Mill

Jean-Philippe Lang wrote:

Sad to see that there's no stable gem for using LDAP. I would prefer to include the patch in Redmine rather than switching to this gem. Does this

single fix below solve the encoding problems?

https://github.com/ruby-ldap/ruby-net-ldap/pull/44/files

 Yes, that shall fix it.

#6 - 2013-02-14 12:31 - Terence Mill

Please pull this patch into the next release, as redmine_ldap_sync is a major plugin and without in some cases unsuable.

#7 - 2013-02-14 22:14 - Ricardo S

In the meanwhile I've included the following patch on the ldap_sync plugin.

require 'net/ldap'
https://github.com/ruby-ldap/ruby-net-ldap/pull/44
https://github.com/thorin/redmine_ldap_sync/issues/49#issuecomment-12142602
https://github.com/ruby-ldap/ruby-net-ldap/pull/44/files
https://github.com/ruby-ldap/ruby-net-ldap/pull/44/files


module Net::BER::Extensions::String

  def raw_utf8_encoded

    if self.respond_to?(:encode) && self.encoding.name != 'ASCII-8BIT'

      self.encode('UTF-8').force_encoding('ASCII-8BIT')

    else

      self

    end

  end

end

 If it gets integrated on the next release I'll remove it.

#9 - 2014-08-06 15:24 - Etienne Massip

- Related to Feature #17618: Upgrade net-ldap version to 0.12.0 added

#10 - 2015-11-27 09:17 - Jan from Planio www.plan.io

- Description updated

Removing link to net-ldap-1. Please note the -1 at the end -- it's not the official gem!

Using it instead of the proper net-ldap gem as specified in Redmine's Gemfile can lead to a severe authentication bypass scenario under certain

circumstances because net-ldap-1 changes how successful or unsuccessful authentication is reported back to the caller (Redmine).

Please do not use net-ldap-1 and wait (or help work on) a proper fix for this in Redmine.

#11 - 2015-12-08 04:05 - Toshi MARUYAMA

- Category changed from Gems support to LDAP

#12 - 2015-12-08 04:05 - Toshi MARUYAMA

- Related to Defect #21453: LDAP account creation fails when first name/last name contain non ASCII added

#13 - 2020-03-27 15:49 - Toshi MARUYAMA

- Status changed from New to Closed

r14783 : 0.3  -> 0.10

r14784 : 0.10 -> 0.12
